Subject: Re: linux-next: tracing tree build failure

From: KOSAKI Motohiro <[email-masked]>
Date: Tue, 10 Mar 2009 11:16:37 +0900 (JST)

Hi Stephen,

> Hi all,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> kernel/trace/trace_functions_graph.c: In function 'graph_trace_close':
> kernel/trace/trace_functions_graph.c:836: error: implicit declaration of function 'percpu_free'
> 
> The direct cause is commit 422d3c7a577b15e1384c9d4e72a9540896b685fa
> ("tracing: current tip/master can't enable ftrace") from the tracing tree
> which exposed an interaction between commit
> f2a8205c4ef1af917d175c36a4097ae5587791c8 ("percpu: kill percpu_alloc()
> and friends") from the tip-core tree and commit
> 9005f3ebebfcfe9ccd731d16c468907a35ac1f9a ("tracing/function-graph-tracer:
> various fixes and features") from the tracing tree.
> 
> I have reverted commit 422d3c7a577b15e1384c9d4e72a9540896b685fa for
> today.  (As a side note, that commit has no Signed-off-by ...)

I checked latest -tip tree and I found Ingo fixed this issue by following commit.
Could you please try to pull latest tip tree?

commit 56bc29b4b8e188275f52cd5270bcf54f22cfc92b
Author: Ingo Molnar <[email-masked]>
Date:   Thu Mar 5 22:04:39 2009 +0100

    merge conflict resolutions